当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 为什么qpe无法运行
帖子发表于 : 2009-03-26 14:46 

注册: 2009-03-09 16:47
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
我想在qvfb中运行qpe,qvfb能运行,但输入qpe后,报错“bash: /opt/qtopia/bin/qpe:无法执行二进制文件“
执行file qpe后显示"qpe: ELF 32-bit LSB executable, ARM, version 1, for GNU/Linux 2.4.3, dynamically linked (uses shared libs), stripped"
请问这种情况下怎样才能让qpe在qvfb中运行起来?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 为什么qpe无法运行
帖子发表于 : 2009-04-03 18:00 

注册: 2008-03-24 19:06
帖子: 208
送出感谢: 0 次
接收感谢: 1
你编译的是arm平台的,用./configure -platform linux-generic-g++重新编译一下就可以了


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 为什么qpe无法运行
帖子发表于 : 2009-04-03 18:47 

注册: 2009-03-09 16:47
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
恩,明白了
我开始对qvfb的理解有问题,以为它为用arm-linux-gcc编译的qpe提供了虚拟运行的环境,现在知道不是这样的,qpe也必须用gcc编译的


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 为什么qpe无法运行
帖子发表于 : 2009-04-07 16:30 
头像

注册: 2008-10-14 18:52
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
sail308 写道:
恩,明白了
我开始对qvfb的理解有问题,以为它为用arm-linux-gcc编译的qpe提供了虚拟运行的环境,现在知道不是这样的,qpe也必须用gcc编译的

你好,我也遇到了这样的问题,你能说的再详细点吗?如何对qpe进行编译?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译